Debian Bug report logs - #466906
[s390] tape installation method broken due to missing modules

version graph

Package: debian-installer; Maintainer for debian-installer is Debian Install System Team <debian-boot@lists.debian.org>; Source for debian-installer is src:debian-installer.

Reported by: "Ward, Mike S" <mward@SSFCU.org>

Date: Thu, 21 Feb 2008 19:06:01 UTC

Severity: normal

Found in versions debian-installer/20080224, debian-installer/20070308etch2

Fixed in version 20080522

Done: Frans Pop <elendil@planet.nl>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#466906; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to "Ward, Mike S" <mward@SSFCU.org>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Ward, Mike S" <mward@SSFCU.org>
To: <submit@bugs.debian.org>
Subject: s390 r03 broken
Date: Thu, 21 Feb 2008 13:01:49 -0600
Package: installation-reports

Boot method: <How did you boot the installer? TAPE
Image version:
http://ftp.nl.debian.org/debian/dists/etch/main/installer-s390/current/i
mages/

Date: 02/21/2008

Machine: HERCULES emulating a 2086-170
Processor: 1 CPU	
Memory: 824M
Partitions: 1

Output of lspci -nn and lspci -vnn:

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [ ]
Detect network card:    [ ]
Configure network:      [ ]
Detect CD:              [ ]
Load installer modules: [ ]
Detect hard drives:     [ ]
Partition hard drives:  [ ]
Install base system:    [ ]
Clock/timezone setup:   [ ]
User/password setup:    [ ]
Install tasks:          [ ]
Install boot loader:    [ ]
Overall install:        [E]

Comments/Problems:

I will provide the Hercules log file. When I ipl the tape and am asked
to configure the network. I reply with a 1 and the error that no ctc
devices are found. This worked ok with the r02 version, but seems broken
with the r03.

12:56:28.131 00000D7C ipl 581
12:56:28.131 00000D7C HHCCP007I CPU0000 architecture mode set to ESA/390
12:56:28.428 00000D7C HHCCP014I CPU0000: Addressing exception CODE=0005
ILC=6
12:56:28.428 00000D7C PSW=00082000 800111EC INST=E50150000000 TPROT
0(5),0(0)              test_protection
12:56:28.428 00000D7C R:33800000: Translation exception 0005
12:56:28.428 00000D7C R:00000000:K:06=00080000 80000240 27000000
60000001  ....... ....-...
12:56:28.428 00000D7C GR00=00000000  GR01=00020000  GR02=00000000
GR03=003092DC
12:56:28.428 00000D7C GR04=00000000  GR05=33800000  GR06=00000000
GR07=00000000
12:56:28.428 00000D7C GR08=00000000  GR09=33800000  GR10=00000010
GR11=00000000
12:56:28.428 00000D7C GR12=00010400  GR13=80011002  GR14=8000030C
GR15=00000000
12:56:29.116 00000D7C HHCCP041I SYSCONS interface active
12:56:29.116 00000D7C HHCCP041I SYSCONS interface active
12:56:29.226 00000D7C Linux version 2.6.18-6-s390-tape (Debian
2.6.18.dfsg.1-18) (dannf@debian.org) (g
12:56:29.226 00000D7C cc version 4.1.2 20061115 (prerelease) (Debian
4.1.1-21)) #1 SMP Sat Jan 26 08:5
12:56:29.226 00000D7C 7:20 UTC 2008
12:56:29.226 00000D7C We are running native (31 bit mode)
12:56:29.226 00000D7C This machine has an IEEE fpu
12:56:29.226 00000D7C Detected 1 CPU's
12:56:29.226 00000D7C Boot cpu address  0
12:56:29.226 00000D7C Built 1 zonelists.  Total pages: 210944
12:56:29.226 00000D7C Kernel command line: dasd=100-101 ro
chandev=ctc0,0x0002,0x0003,0,0,0
12:56:29.226 00000D7C hostname=s390 ip=172.20.70.250
netmask=255.255.255.0
12:56:29.226 00000D7C gateway=172.20.70.248 peer=172.20.70.248
dns=172.16.6.13
12:56:29.226 00000D7C netinterface=ctc0 netmodule=ctc
12:56:29.226 00000D7C ro debian-installer/locale=C
12:56:29.226 00000D7C 
12:56:29.226 00000D7C 
12:56:29.226 00000D7C PID hash table entries: 4096 (order: 12, 16384
bytes)
12:56:29.226 00000D7C Dentry cache hash table entries: 131072 (order: 7,
524288 bytes)
12:56:29.226 00000D7C Inode-cache hash table entries: 65536 (order: 6,
262144 bytes)
12:56:29.742 00000D7C Memory: 829440k/843776k available (2192k kernel
code, 0k reserved, 787k data, 10
12:56:29.742 00000D7C 0k init)
12:56:29.742 00000D7C Write protected kernel read-only data: 0x226000 -
0x299fff
12:56:29.946 00000D7C Security Framework v1.0.0 initialized
12:56:29.946 00000D7C SELinux:  Disabled at boot.
12:56:29.946 00000D7C Capability LSM initialized
12:56:29.946 00000D7C Mount-cache hash table entries: 512
12:56:29.946 00000D7C cpu 0 phys_idx=0 vers=00 ident=000611 machine=2086
unused=0000
12:56:29.946 00000D7C Brought up 1 CPUs
12:56:29.946 00000D7C migration_cost=1000
12:56:29.946 00000D7C checking if image is initramfs...
12:56:36.266 00000D7C  it is
12:56:42.820 00000D7C Freeing initrd memory: 2452k freed
12:56:42.820 00000D7C NET: Registered protocol family 16
12:56:42.820 00000D7C debug: Initialization complete
12:56:42.820 00000D7C cio: Was not able to determine available CHSCs.
12:56:42.820 00000D7C NET: Registered protocol family 2
12:56:42.992 00000D7C IP route cache hash table entries: 32768 (order:
5, 131072 bytes)
12:56:42.992 00000D7C TCP established hash table entries: 131072 (order:
8, 1572864 bytes)
12:56:42.992 00000D7C TCP bind hash table entries: 65536 (order: 7,
524288 bytes)
12:56:42.992 00000D7C TCP: Hash tables configured (established 131072
bind 65536)
12:56:42.992 00000D7C TCP reno registered
12:56:42.992 00000D7C hypfs: diag 204 not working.<3>hypfs:
Initialization failed with rc = -61.
12:56:43.071 00000D7C HHCCP041I SYSCONS interface active
12:56:43.071 00000D7C HHCCP041I SYSCONS interface active
12:56:43.102 00000D7C audit: initializing netlink socket (disabled)
12:56:43.102 00000D7C audit(1203620202.974:1): initialized
12:56:43.102 00000D7C VFS: Disk quotas dquot_6.5.1
12:56:43.102 00000D7C Dquot-cache hash table entries: 1024 (order 0,
4096 bytes)
12:56:43.102 00000D7C Initializing Cryptographic API
12:56:43.102 00000D7C io scheduler noop registered
12:56:43.102 00000D7C io scheduler anticipatory registered
12:56:43.102 00000D7C io scheduler deadline registered
12:56:43.102 00000D7C io scheduler cfq registered (default)
12:56:43.102 00000D7C RAMDISK driver initialized: 16 RAM disks of 24576K
size 1024 blocksize
12:56:43.102 00000D7C Channel measurement facility using basic format
(autodetected)
12:56:43.102 00000D7C qdio: loading QDIO base support version 2
12:56:43.102 00000D7C qdio : Not all CHSCs supported. Continuing.
12:56:43.102 00000D7C TCP bic registered
12:56:43.102 00000D7C NET: Registered protocol family 1
12:56:43.102 00000D7C NET: Registered protocol family 10
12:56:43.102 00000D7C lo: Disabled Privacy Extensions
12:56:43.102 00000D7C IPv6 over IPv4 tunneling driver
12:56:43.102 00000D7C NET: Registered protocol family 17
12:56:43.102 00000D7C Freeing unused kernel memory: 100k freed
12:56:46.653 00000D7C Starting system log daemon: syslogd,
12:56:46.778 00000D7C klogd.
12:56:50.658 00000D7C 
2:56:50.658 00000D7C 
12:56:50.658 00000D7C  1;24r 4l ?25l ?1c ?25h ?0c 0;10m 37m 40m 1;24r H
J 24;1H 0;10m 39;49m K
12:56:53.005 00000D7C Configure the network device
12:56:53.005 00000D7C ----------------------------
12:56:53.005 00000D7C 
12:56:53.005 00000D7C Please choose the type of your primary network
interface that you will need for
12:56:53.005 00000D7C installing the Debian system (via NFS or HTTP).
Only the listed devices are
12:56:53.005 00000D7C supported.
12:56:53.005 00000D7C Network device type:
12:56:53.005 00000D7C   1. ctc: Channel to Channel (CTC) or ESCON
connection
12:56:53.005 00000D7C   2. qeth: OSA-Express in QDIO mode / HiperSockets
12:56:53.005 00000D7C   3. iucv: Inter-User Communication Vehicle -
available for VM guests only
12:56:53.005 00000D7C Prompt: '?' for help>
12:56:58.370 00000D7C .1
12:56:58.480 00000D7C 1
12:56:58.480 00000D7C 
12:56:58.480 00000D7C    ERROR: No CTC or ESCON connections
12:56:58.480 00000D7C 
12:56:58.480 00000D7C Please make sure that you have set them up
correctly.
12:56:58.480 00000D7C  Press enter to continue!


Mike S. Ward Jr.
A.V.P. Information Technology
Security Service Federal Credit Union
(210)476-4600
mward@ssfcu.org
==========================
This email and any files transmitted with it are confidential and intended solely for the use of the individual or entity
to whom they are addressed.If you have received this email in error please notify the system manager. This message
contains confidential information and is intended only for the individual named. If you are not the named addressee you
should not disseminate, distribute or copy this e-mail. Please notify the sender immediately by e-mail if you have received
this e-mail by mistake and delete this e-mail from your system. If you are not the intended recipient you are notified that
disclosing, copying, distributing or taking any action in reliance on the contents of this information is strictly prohibited.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#466906; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 466906@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: "Ward, Mike S" <mward@ssfcu.org>, 466906@bugs.debian.org
Subject: Re: Bug#466906: s390 r03 broken
Date: Fri, 22 Feb 2008 01:09:43 +0100
On Thursday 21 February 2008, Ward, Mike S wrote:
> Boot method: <How did you boot the installer? TAPE
[...]
> Comments/Problems:
> I will provide the Hercules log file. When I ipl the tape and am asked
> to configure the network. I reply with a 1 and the error that no ctc
> devices are found. This worked ok with the r02 version, but seems broken
> with the r03.

I can confirm that for the "tape" images. However, the "generic" image works 
correctly, so please use those as a workaround.

I'll add an erratum on the website and try to find out where the exact error 
is.

Thanks for the report.

Cheers,
FJP




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#466906; Package installation-reports. Full text and rfc822 format available.

Acknowledgement sent to Frans Pop <elendil@planet.nl>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 466906@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 466906@bugs.debian.org
Subject: Re: Bug#466906: [s390] tape installation method broken due to missing modules
Date: Thu, 28 Feb 2008 03:35:45 +0100
[Message part 1 (text/plain, inline)]
retitle 466906 [s390] tape installation method broken due to missing modules
clone 466906 -1
reassign -1 linux-2.6
reassign 466906 debian-installer
block 466906 by -1
found 466906 20080224
found 466906 20070308etch2
thanks

On Friday 22 February 2008, Bastian Blank wrote:
> On Fri, Feb 22, 2008 at 01:09:43AM +0100, Frans Pop wrote:
> > I can confirm that for the "tape" images. However, the "generic" image
> > works correctly, so please use those as a workaround.
>
> It's in fact a kernel bug. The -tape kernel used to have 2.6.18-6-s390
> as internal version so it can use the normal modules. But it have
> 2.6.18-6-a390-tape. This seems to be broken even in unstable.

Right. So a kernel build system change slipped into stable?

Is it possible to fix this again?
[signature.asc (application/pgp-signature, inline)]

Changed Bug title to `[s390] tape installation method broken due to missing modules' from `s390 r03 broken'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Thu, 28 Feb 2008 02:48:14 GMT) Full text and rfc822 format available.

Bug 466906 cloned as bug 468277. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Thu, 28 Feb 2008 02:48:15 GMT) Full text and rfc822 format available.

Bug reassigned from package `installation-reports' to `debian-installer'. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Thu, 28 Feb 2008 02:48:18 GMT) Full text and rfc822 format available.

Blocking bugs of 466906 added: 468277 Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Thu, 28 Feb 2008 02:48:18 GMT) Full text and rfc822 format available.

Bug marked as found in version 20080224. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Thu, 28 Feb 2008 02:48:20 GMT) Full text and rfc822 format available.

Bug marked as found in version 20070308etch2. Request was from Frans Pop <elendil@planet.nl> to control@bugs.debian.org. (Thu, 28 Feb 2008 02:48:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#466906; Package debian-installer. Full text and rfc822 format available.

Acknowledgement sent to 466906@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. Full text and rfc822 format available.

Message #32 received at 466906@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 466906@bugs.debian.org
Cc: 466906-submitter@bugs.debian.org, dannf@debian.org
Subject: Bug#466906: [s390] tape installation method broken due to missing modules
Date: Mon, 5 May 2008 18:12:30 +0200
[Message part 1 (text/plain, inline)]
> Comments/Problems:
> I will provide the Hercules log file. When I ipl the tape and am asked
> to configure the network. I reply with a 1 and the error that no ctc
> devices are found. This worked ok with the r02 version, but seems broken
> with the r03.

This issue has been fixed in the current kernels in unstable and testing and 
in daily built versions of the installer. I'm not sure whether or not it 
will also be fixed in the next point release for Debian stable.

Dann: Could you take a look at that for 2.6.18?

The issue was fixed by Bastian in linux-2.6 (2.6.24-5) with the following 
changelog entry (see also #468277):
 * [s390/s390-tape]: Override localversion correctly.

Cheers,
FJP
[signature.asc (application/pgp-signature, inline)]

Message sent on to "Ward, Mike S" <mward@SSFCU.org>:
Bug#466906. Full text and rfc822 format available.

Reply sent to Frans Pop <elendil@planet.nl>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to "Ward, Mike S" <mward@SSFCU.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #40 received at 466906-done@bugs.debian.org (full text, mbox):

From: Frans Pop <elendil@planet.nl>
To: 466906-done@bugs.debian.org
Subject: Bug#466906: [s390] tape installation method broken due to missing modules
Date: Sun, 13 Jul 2008 09:53:41 +0200
Version: 20080522

Fixed in D-I Lenny beta2 but not yet for Etch.




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 11 Aug 2008 07:28:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:52:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.